/*
 * Carousel
 *
 * Index
 * - Container
 * - Bullets
 * - Arrows
 * - Slide
 * - Image
 */

@import "../../../node_modules/swiper/swiper-bundle.min.css";

/* CONTAINER
 -------------------- */

:host(.swiper-container) {
  display: block;
  user-select: none;
  position: relative;
  z-index: 1;
  padding: 0;
  margin-right: auto;
  margin-left: auto;
  overflow: hidden;
  list-style: none;
}

/* BULLETS
 -------------------- */

:host(.swiper-horizontal > .swiper-pagination-bullets .swiper-pagination-bullet),
:host(.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet) {
  margin: 0 0.125rem;
}

:host(.swiper-container-horizontal > .swiper-pagination-bullets) {
  bottom: 0.5rem;
}

.swiper-pagination-bullets {
  right: 0;
  display: inline-table;
  width: auto!important;
  padding: 0 0.75rem;
  margin: 0 auto;
  vertical-align: middle;
  background-color: var(--road-overlay-inverse);
  border-radius: 40px;
  backdrop-filter: blur(4px);
}

.swiper-pagination-bullet {
  width: 1.5rem;
  height: 0.25rem;
  vertical-align: middle;
  background: var(--road-overlay);
  border-radius: 0;
  opacity: 1;
}

.swiper-pagination-bullet-active {
  background: var(--road-primary);
}

:host(.swiper-pagination-progressbar) {
  background: var(--road-grey-70);
}

:host(.swiper-pagination-progressbar) .swiper-pagination-progressbar-fill {
  background: var(--road-grey-10);
}

:host(.swiper-scrollbar) {
  background: var(--road-grey-70);
}

:host(.swiper-scrollbar-drag) {
  background: var(--road-grey-10);
}

/* ARROWS
 -------------------- */

.swiper-button-prev,
.swiper-button-next {
  display: none;
}

@media (min-width: 768px) {

.swiper-button-prev,
.swiper-button-next {
    display: flex;
    width: 3rem;
    height: 3rem;
    background: var(--road-overlay);
    border: 1px solid var(--road-overlay-inverse);
    border-radius: 3rem;
  }

.swiper-button-prev road-icon,
.swiper-button-next road-icon{
    color: var(--road-on-overlay);
  }
}

.swiper-button-prev::after,
.swiper-button-next::after {
  display: none;
}

/**
 * Hover state
 */

@media (hover: hover) {

.swiper-button-prev:hover,
.swiper-button-next:hover {
  background: var(--road-surface);
  }

.swiper-button-prev:hover road-icon,
.swiper-button-next:hover road-icon {
    color: var(--road-on-surface);
  }
}

.swiper-button-prev,
.swiper-container-rtl .swiper-button-next {
  left: 1rem;
}

.swiper-button-next,
.swiper-container-rtl .swiper-button-prev {
  right: 1rem;
}

@media (min-width: 768px) {

  .swiper-button-prev,
  .swiper-container-rtl .swiper-button-next {
    left: 1.5rem;
  }

  .swiper-button-next,
  .swiper-container-rtl .swiper-button-prev {
    right: 1.5rem;
  }
}
